## org.codehaus.groovy.grails.web.mapping
Interface UrlMappingEvaluator

All Known Implementing Classes:
  DefaultUrlMappingEvaluator

    public interface UrlMappingEvaluator

An interface that evaluates URL mapping from the given Spring Resource or class

Since:
  0.5

  Created: Feb 28, 2007 Time: 5:47:23 PM
Author:
  Graeme Rocher
See Also:
  `UrlMapping`, `UrlMappingInfo`

Method Summary
`List` `evaluateMappings(Class theClass)` Evaluates mapping from the given class if possible
`List` `evaluateMappings(groovy.lang.Closure closure)` Evaluates mapping from the given closure if possible
`List` `evaluateMappings(Resource resource)` Evaluates URL mapping from the give Spring Resource

Method Detail

### evaluateMappings

    List evaluateMappings(Resource resource)

  Evaluates URL mapping from the give Spring Resource

  Parameters:
    `resource` - The Spring Resource to evaluate mapping from
  Returns:
    A list of UrlMapping instances

### evaluateMappings

    List evaluateMappings(Class theClass)

  Evaluates mapping from the given class if possible

  Parameters:
    `theClass` - The class to evaluate mapping from
  Returns:
    A list of UrlMapping instances

### evaluateMappings

    List evaluateMappings(groovy.lang.Closure closure)

  Evaluates mapping from the given closure if possible

  Parameters:
    `closure` - The closure to evaluate mapping from
  Returns:
    A list of UrlMapping instances

Copyright (c) 2005-2009 The Grails project